using System;
using System.Text.Json.Serialization;
namespace org.accordproject.ergo.monitor {
   using concerto;
   class Phase : Concept {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.ergo.monitor.Phase";
      public string name { get; set; }
      public float single { get; set; }
      public float cummulative { get; set; }
      public float total { get; set; }
      public Phase[] subphases { get; set; }
   }
   class Monitor : Concept {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.ergo.monitor.Monitor";
      public Phase[] phases { get; set; }
   }
}
